package com.gci.boot.annotation.repeat;

import com.gci.boot.annotation.repeat.handle.TableRepeatHandle;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author 24642
 */
@Target({ElementType.TYPE})
@Constraint(validatedBy = TableRepeatHandle.class)
@Retention(RetentionPolicy.RUNTIME)
public @interface TableRepeat {
    Class<?> aClass() ;
    String message() default "";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
